org.encog.app.analyst.script.prop

## Class PropertyEntry

- java.lang.Object
- - org.encog.app.analyst.script.prop.PropertyEntry

- All Implemented Interfaces:
    Comparable<PropertyEntry>

      public class PropertyEntry
      extends Object
      implements Comparable<PropertyEntry>

  A property entry for the Encog Analyst. Properties have a name and section.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyEntry(PropertyType theEntryType, String theName, String theSection)` Construct a property entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PropertyEntry o)`
    `static String` | `dotForm(String section, String subSection, String name)` Put a property in dot form, which is "section.subsection.name".
    `PropertyType` | `getEntryType()`
    `String` | `getKey()`
    `String` | `getName()`
    `String` | `getSection()`
    `String` | `toString()`
    `void` | `validate(String theSection, String subSection, String theName, String value)` Validate the specified property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyEntry

          public PropertyEntry(PropertyType theEntryType,
                       String theName,
                       String theSection)

      Construct a property entry.
      Parameters:
        `theEntryType` - The entry type.
        `theName` - The name of the property.
        `theSection` - The section of the property.

  - ### Method Detail

    - #### dotForm

          public static String dotForm(String section,
                       String subSection,
                       String name)

      Put a property in dot form, which is "section.subsection.name".
      Parameters:
        `section` - The section.
        `subSection` - The subsection.
        `name` - The name.
      Returns:
        The property in dot form.

    - #### compareTo

          public int compareTo(PropertyEntry o)

      Specified by:
        `compareTo` in interface `Comparable<PropertyEntry>`

    - #### getEntryType

          public PropertyType getEntryType()

      Returns:
        the entryType

    - #### getKey

          public String getKey()

      Returns:
        The key.

    - #### getName

          public String getName()

      Returns:
        the name

    - #### getSection

          public String getSection()

      Returns:
        the section

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate(String theSection,
                      String subSection,
                      String theName,
                      String value)

      Validate the specified property.
      Parameters:
        `theSection` - The section.
        `subSection` - The sub section.
        `theName` - The name of the property.
        `value` - The value of the property.

Copyright © 2014. All Rights Reserved.